.TH base64 3 "stdlib  1.16.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
base64 \- Implements base 64 encode and decode, see RFC2045\&.
.SH DESCRIPTION
.LP
Implements base 64 encode and decode, see RFC2045\&. 

.SH EXPORTS
.LP
.B
encode(Data) -> Base64 
.br
.B
encode_to_string(Data) -> Base64String
.br
.RS
.TP
Types
Data = string() | binary()
.br
Base64 = binary()
.br
Base64String = string()
.br
.RE
.RS
.LP
Encodes a plain ASCII string into base64\&. The result will be 33% larger than the data\&.
.RE
.LP
.B
decode(Base64) -> Data
.br
.B
decode_to_string(Base64) -> DataString
.br
.B
mime_decode(Base64) -> Data
.br
.B
mime_decode_to_string(Base64) -> DataString
.br
.RS
.TP
Types
Base64 = string() | binary()
.br
Data = binary()
.br
DataString = string()
.br
.RE
.RS
.LP
Decodes a base64 encoded string to plain ASCII\&. See RFC4648\&. \fImime_decode/1\fR and \fImime_decode_to_string/1\fR strips away illegal characters, while \fIdecode/1\fR and \fIdecode_to_string/1\fR only strips away whitespace characters\&.
.RE
